package com.yida.data.device.telephone.service;


import com.yida.data.device.dto.telephone.PhoneCdataDTO;

public interface PhoneService {

    /**
     * 话机认证
     *
     * @param sn    话机imei号
     * @param iccid 话机sim卡号
     * @return
     */
    String authen(String sn, String iccid);

    /**
     * 话机心跳
     *
     * @param sn    imei
     * @param iccid sim卡号
     */
    void heartbeat(String sn, String iccid);

    /**
     * @param sn
     * @param type
     * @param start
     * @param dto
     * @return
     */
    String cdata(String sn, String type, Integer start, PhoneCdataDTO dto);

    String getMsg(String cardNo);

    void readMsg(Long msgId);
}
